Subject: Re: Is PPC 44x PIKA Warp board still relevant?

From: Dmitry Torokhov <[email-masked]>
Date: Mon, 26 Sep 2022 23:01:01 -0700

On Mon, Sep 26, 2022 at 08:41:53PM +1000, Michael Ellerman wrote:
> Christophe Leroy <[email-masked]> writes:
> > Hi Dmitry
> >
> > Le 25/09/2022 à 07:06, Dmitry Torokhov a écrit :
> >> Hi Michael, Nick,
> >> 
> >> I was wondering if PIKA Warp board still relevant. The reason for my
> >> question is that I am interested in dropping legacy gpio APIs,
> >> especially OF-specific ones, in favor of newer gpiod APIs, and
> >> arch/powerpc/platforms/44x/warp.c is one of few users of it.
> >
> > As far as I can see, that board is still being sold, see
> >
> > https://www.voipon.co.uk/pika-warp-asterisk-appliance-p-932.html
> 
> On the other hand it looks like PIKA technologies went bankrupt earlier
> this year.
> 
> >> The code in question is supposed to turn off green led and flash red led
> >> in case of overheating, and is doing so by directly accessing GPIOs
> >> owned by led-gpio driver without requesting/allocating them. This is not
> >> really supported with gpiod API, and is not a good practice in general.
> >
> > As far as I can see, it was ported to led-gpio by
> >
> > ba703e1a7a0b powerpc/4xx: Have Warp take advantage of GPIO LEDs 
> > default-state = keep
> > 805e324b7fbd powerpc: Update Warp to use leds-gpio driver
> >
> >> Before I spend much time trying to implement a replacement without
> >> access to the hardware, I wonder if this board is in use at all, and if
> >> it is how important is the feature of flashing red led on critical
> >> temperature shutdown?
> >
> > Don't know who can tell it ?
> 
> I would be surprised if anyone is still running upstream kernels on it.
> 
> I can't find any sign of any activity on the mailing list related to it
> since it was initially merged.
> 
> > Maybe let's perform a more standard implementation is see if anybody 
> > screams ?
> 
> How much work is it to convert it?
> 
> Flashing a LED when the machine dies is nice, but not exactly critical,
> hopefully the machine *isn't* dying that often :)

OK, I think I figured out how to let platform code access the GPIOs
while still using leds-gpio driver for normal operation. I will send a
patch shortly.

Thanks.

-- 
Dmitry